using System;

namespace SudarBrojeva_PrviKrug
{
    class Program
    {
        static string Obrni(string s)
        {
            string obrnuti = "";
            for (int i = s.Length - 1; i >= 0; i--)
            {
                obrnuti += s[i];
            }
            return obrnuti;
        }

        static void Main(string[] args)
        {
            string s1 = Console.ReadLine();
            string s2 = Console.ReadLine();
            string t = "";
            if(s1.Length > s2.Length)
            {
                t = s1;
                s1 = s2;
                s2 = t;
            }
            int i = s1.Length - 1;
            int j = s2.Length - 1;

            string noviBroj = "";

            if (s1.Length < s2.Length || s1.Length == s2.Length)
            {
                while (i >= 0)
                {
                    if (s1[i] > s2[j])
                    {
                        noviBroj += s1[i];
                    }
                    else if (s1[i] < s2[j])
                    {
                        noviBroj += s2[j];
                    }
                    else if (s1[i] == s2[j])
                    {
                        noviBroj += s1[i];
                        noviBroj += s2[j];
                    }
                    i--;
                    j--;
                }
                while (j >= 0)
                {
                    noviBroj += s2[j];
                    j--;
                }
            }
            else
            {
                while (j >= 0)
                {
                    if (s1[i] > s2[j])
                    {
                        noviBroj += s1[i];
                    }
                    else if (s1[i] < s2[j])
                    {
                        noviBroj += s2[j];
                    }
                    else if (s1[i] == s2[j])
                    {
                        noviBroj += s1[i];
                        noviBroj += s2[j];
                    }
                    j--;
                    i--;
                }
                while (i >= 0)
                {
                    noviBroj += s2[i];
                    i--;
                }
            }
            Console.WriteLine(Obrni(noviBroj));
        }
    }
}